# Generated by Django 4.2.16 on 2024-11-11 11:30

from django.db import migrations, models
import djangoldp.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="TEMSImages",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("update_date", models.DateTimeField(auto_now=True)),
                (
                    "name",
                    models.CharField(blank=True, default="", max_length=255, null=True),
                ),
                (
                    "url",
                    models.CharField(
                        blank=True, default="", max_length=2000, null=True
                    ),
                ),
            ],
            options={
                "verbose_name": "TEMS Image",
                "verbose_name_plural": "TEMS Images",
                "abstract": False,
                "default_permissions": {"view", "delete", "add", "change", "control"},
                "rdf_type": "tems:Image",
                "serializer_fields": [
                    "@id",
                    "creation_date",
                    "update_date",
                    "name",
                    "url",
                ],
                "nested_fields": [],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="TEMSLicence",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("update_date", models.DateTimeField(auto_now=True)),
                (
                    "name",
                    models.CharField(blank=True, default="", max_length=255, null=True),
                ),
                (
                    "short_desc",
                    models.CharField(blank=True, default="", max_length=255, null=True),
                ),
                ("description", models.TextField(blank=True, default="", null=True)),
                (
                    "url",
                    models.CharField(
                        blank=True, default="", max_length=2000, null=True
                    ),
                ),
            ],
            options={
                "verbose_name": "TEMS Licence",
                "verbose_name_plural": "TEMS Licences",
                "abstract": False,
                "default_permissions": {"view", "delete", "add", "change", "control"},
                "rdf_type": "tems:Licence",
                "serializer_fields": [
                    "@id",
                    "creation_date",
                    "update_date",
                    "name",
                    "short_desc",
                    "description",
                    "url",
                ],
                "nested_fields": [],
                "depth": 0,
            },
        ),
    ]
