# Generated by Django 4.2.16 on 2025-03-17 11:20

import django.db.models.deletion
import djangoldp.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("djangoldp_tems", "0003_temsprovidercategory_temsprovider"),
    ]

    try:
        from django.apps import apps
        if apps.is_installed("djangoldp_tems_trial1"):
            dependencies.append(("djangoldp_tems_trial1", "0007_remove_trial1object_category_and_more"))
        if apps.is_installed("djangoldp_tems_trial6"):
            dependencies.append(("djangoldp_tems_trial6", "0007_remove_trial6object_images_and_more"))
        if apps.is_installed("djangoldp_tems_trial8"):
            dependencies.append(("djangoldp_tems_trial8", "0005_remove_trial8object_category_and_more"))
    except ImportError:
        pass

    operations = [
        migrations.CreateModel(
            name="TEMSImage",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("update_date", models.DateTimeField(auto_now=True)),
                (
                    "name",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "url",
                    models.CharField(
                        blank=True, default="", max_length=2000, null=True
                    ),
                ),
                ("iframe", models.BooleanField(default=False)),
            ],
            options={
                "verbose_name": "TEMS Image",
                "verbose_name_plural": "TEMS Images",
                "abstract": False,
                "default_permissions": {"control", "add", "view", "change", "delete"},
                "rdf_type": "tems:Image",
                "container_path": "/objects/images/",
                "serializer_fields": [
                    "@id",
                    "creation_date",
                    "update_date",
                    "name",
                    "url",
                ],
                "nested_fields": [],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="TEMSLocation",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("update_date", models.DateTimeField(auto_now=True)),
                (
                    "name",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "address",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "city",
                    models.CharField(blank=True, default="", max_length=100, null=True),
                ),
                (
                    "state",
                    models.CharField(blank=True, default="", max_length=100, null=True),
                ),
                (
                    "country",
                    models.CharField(blank=True, default="", max_length=100, null=True),
                ),
                (
                    "latitude",
                    models.DecimalField(
                        blank=True,
                        decimal_places=7,
                        default=0,
                        max_digits=10,
                        null=True,
                    ),
                ),
                (
                    "longitude",
                    models.DecimalField(
                        blank=True,
                        decimal_places=7,
                        default=0,
                        max_digits=10,
                        null=True,
                    ),
                ),
                (
                    "elevation",
                    models.IntegerField(
                        blank=True,
                        default=0,
                        help_text="Elevation in meters",
                        null=True,
                    ),
                ),
            ],
            options={
                "verbose_name": "TEMS Location",
                "verbose_name_plural": "TEMS Locations",
                "abstract": False,
                "default_permissions": {"control", "add", "view", "change", "delete"},
                "rdf_type": "tems:Location",
                "container_path": "/objects/locations/",
                "serializer_fields": [
                    "@id",
                    "creation_date",
                    "update_date",
                    "name",
                    "address",
                    "city",
                    "state",
                    "country",
                    "latitude",
                    "longitude",
                    "elevation",
                ],
                "nested_fields": [],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="TEMSOffer",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                ("creation_date", models.DateTimeField(auto_now_add=True)),
                ("update_date", models.DateTimeField(auto_now=True)),
                (
                    "name",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
            ],
            options={
                "verbose_name": "TEMS Offer",
                "verbose_name_plural": "TEMS Offers",
                "abstract": False,
                "default_permissions": {"control", "add", "view", "change", "delete"},
                "rdf_type": "tems:Offer",
                "container_path": "/offers/",
                "serializer_fields": ["@id", "creation_date", "update_date", "name"],
                "nested_fields": [],
                "depth": 0,
            },
        ),
        migrations.DeleteModel(
            name="TEMSImages",
        ),
        migrations.RemoveField(
            model_name="temsprovider",
            name="category",
        ),
        migrations.AddField(
            model_name="temsprovider",
            name="categories",
            field=models.ManyToManyField(
                blank=True, to="djangoldp_tems.temsprovidercategory"
            ),
        ),
        migrations.AddField(
            model_name="temsprovider",
            name="contact_url",
            field=models.CharField(blank=True, default="", max_length=2000, null=True),
        ),
        migrations.AlterField(
            model_name="temsprovider",
            name="name",
            field=models.CharField(blank=True, default="", max_length=254, null=True),
        ),
        migrations.AddField(
            model_name="temsprovider",
            name="image",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="djangoldp_tems.temsimage",
            ),
        ),
    ]
