# Generated by Django 4.2.17 on 2025-01-02 17:17

from django.db import migrations, models
import django.db.models.deletion
import djangoldp.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('djangoldp_tems', '0003_temsprovidercategory_temsprovider'),
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='Trial1Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, db_index=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('creation_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(blank=True, default='', max_length=254, null=True)),
            ],
            options={
                'verbose_name': 'TEMS Category',
                'verbose_name_plural': 'TEMS Categories',
                'abstract': False,
                'default_permissions': {'change', 'add', 'control', 'view', 'delete'},
                'rdf_type': 'tems:Category',
                'container_path': '/objects/categories/trial1/',
                'serializer_fields': ['@id', 'creation_date', 'update_date', 'name'],
                'nested_fields': [],
                'depth': 0,
            },
        ),
        migrations.CreateModel(
            name='Trial1Format',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, db_index=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('creation_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(blank=True, default='', max_length=254, null=True)),
            ],
            options={
                'verbose_name': 'TEMS Format',
                'verbose_name_plural': 'TEMS Formats',
                'abstract': False,
                'default_permissions': {'change', 'add', 'control', 'view', 'delete'},
                'rdf_type': 'tems:Format',
                'container_path': '/objects/formats/trial1/',
                'serializer_fields': ['@id', 'creation_date', 'update_date', 'name'],
                'nested_fields': [],
                'depth': 0,
            },
        ),
        migrations.CreateModel(
            name='Trial1Label',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, db_index=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('creation_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(blank=True, default='', max_length=254, null=True)),
            ],
            options={
                'verbose_name': 'TEMS Label',
                'verbose_name_plural': 'TEMS Labels',
                'abstract': False,
                'default_permissions': {'change', 'add', 'control', 'view', 'delete'},
                'rdf_type': 'tems:Label',
                'container_path': '/objects/labels/trial1/',
                'serializer_fields': ['@id', 'creation_date', 'update_date', 'name'],
                'nested_fields': [],
                'depth': 0,
            },
        ),
        migrations.CreateModel(
            name='Trial1Object',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, db_index=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('creation_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(blank=True, default='', max_length=254, null=True)),
                ('description', models.TextField(blank=True, default='', null=True)),
                ('copyright', models.CharField(blank=True, default='', max_length=254, null=True)),
                ('website', models.CharField(blank=True, default='', max_length=2000, null=True)),
                ('hub', models.CharField(blank=True, default='', max_length=255, null=True)),
                ('lang', models.CharField(blank=True, default='', max_length=255, null=True)),
                ('publication_date', models.DateTimeField(null=True)),
                ('images', models.ManyToManyField(blank=True, to='djangoldp_tems.temsimages')),
                ('labels', models.ManyToManyField(blank=True, to='djangoldp_tems_trial1.trial1label')),
                ('licences', models.ManyToManyField(blank=True, to='djangoldp_tems.temslicence')),
                ('owners', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='owned_trial1', to='auth.group')),
                ('providers', models.ManyToManyField(blank=True, related_name='catalog_trial1', to='djangoldp_tems.temsprovider')),
            ],
            options={
                'verbose_name': 'TEMS Trial 1 Object',
                'verbose_name_plural': 'TEMS Trial 1 Objects',
                'abstract': False,
                'default_permissions': {'change', 'add', 'control', 'view', 'delete'},
                'rdf_type': ['tems:Object', 'tems:Article'],
                'container_path': '/objects/trial1/',
                'serializer_fields': ['@id', 'creation_date', 'update_date', 'title', 'description', 'copyright', 'website', 'licences', 'images', 'label', 'assets', 'owners', 'providers', 'labels', 'hub', 'lang', 'publication_date'],
                'nested_fields': ['licences', 'assets', 'images', 'providers', 'labels'],
                'depth': 2,
            },
        ),
        migrations.CreateModel(
            name='Trial1Asset',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, db_index=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('creation_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(blank=True, default='', max_length=254, null=True)),
                ('size', models.PositiveBigIntegerField(blank=True, default=0, null=True)),
                ('category', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='djangoldp_tems_trial1.trial1category')),
                ('format', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='djangoldp_tems_trial1.trial1format')),
                ('object', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='assets', to='djangoldp_tems_trial1.trial1object')),
            ],
            options={
                'verbose_name': 'TEMS Asset',
                'verbose_name_plural': 'TEMS Assets',
                'abstract': False,
                'default_permissions': {'change', 'add', 'control', 'view', 'delete'},
                'rdf_type': 'tems:Asset',
                'container_path': '/objects/assets/trial1/',
                'serializer_fields': ['@id', 'creation_date', 'update_date', 'name', 'size', 'format', 'category'],
                'nested_fields': ['format', 'category'],
                'depth': 0,
            },
        ),
    ]
